# Uses of Interface
com.github.lgooddatepicker.optionalusertools.DateTimeChangeListener

Packages that use DateTimeChangeListener
Package
Description
com.github.lgooddatepicker.components

## Uses of DateTimeChangeListener in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return types with arguments of type DateTimeChangeListener
Modifier and Type
Method
Description
`ArrayList<DateTimeChangeListener>`
DateTimePicker.`getDateTimeChangeListeners()`
getDateTimeChangeListeners, This returns a new ArrayList, that contains any change listeners that are registered with this DateTimePicker.
Methods in com.github.lgooddatepicker.components with parameters of type DateTimeChangeListener
Modifier and Type
Method
Description
`void`
DateTimePicker.`addDateTimeChangeListener(DateTimeChangeListener listener)`
addDateTimeChangeListener, This adds a change listener to this DateTimePicker.
`void`
DateTimePicker.`removeDateTimeChangeListener(DateTimeChangeListener listener)`
removeDateTimeChangeListener, This removes the specified change listener from this DateTimePicker.